Bug 135493 - buildinstall has errors in creating install CD's
Summary: buildinstall has errors in creating install CD's
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-13 01:45 UTC by Sammy
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 18:03:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sammy 2004-10-13 01:45:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; X11; en_US) (KHTML, like Gecko)

Description of problem:
I am trying to build customized install CD's for out systems. After generating
headers and package list, when I run the buildinstall I get the following errors:

NOTE:  I do not have "runroot" and don't know where to get it from.

1. Execution of query commands (pango-querymodules, gtk-query-immodules-2.0,
    gdk-pixbuf-query-loaders) fail saying there is no such file. I think the files may
    not be there but also not all the runtime libraries are there. I did not find
    libz, libdl, libc, libm and running with chroot would fail.

2. Running fc-cache fails. Either it is not there or again libraries are missing.

3. /usr/bin/anaconda execution has the same problem above.

4. There are messages saying ldconfig is missing.

I notice that most or all of these are the ones that can either be run with runroot
or chroot. Perhaps they run ok with runroot.

I would really like to be able to make my own CD's so I would appreciate any
help.
Thanks

Version-Release number of selected component (if applicable):
anaconda-runtime-10.0.3.16-2

How reproducible:
Always

Steps to Reproduce:
1.setup an install tree
2.generate headers and package list
3.run buildinstall
    

Additional info:

Comment 1 Kenneth Porter 2005-09-13 16:43:58 UTC
Using Anaconda released with FC4, and also current rawhide anaconda-10.2.1.5-2.

The internal invocation of the "second pass" of buildinstall fails with bad
arguments. The following patch allows the 2nd pass to run:

140c140
<     $BUILDINSTALL $DEBUGSTR --buildinstdir $BUILDINSTDIR --second $PKGORDERSTR
--comp $COMPNAME --version $VERSION --release "$RELEASESTR" --product
"$PRODUCTSTR" --prodpath $PRODUCTPATH --discs "$DISCSTR" --bugurl "$BUGURL" $DIR 
---
>     $BUILDINSTALL $DEBUGSTR --buildinstdir $BUILDINSTDIR --second --version
$VERSION --release "$RELEASESTR" --product "$PRODUCTSTR" --prodpath $PRODUCTPATH
--discs "$DISCSTR" --bugurl "$BUGURL" $DIR 

With this patch in place, upd-instroot reports that the command "latest" is not
found. Additionally, paths are set to search in the new treedir for stuff that's
in fact in /usr/lib/anaconda-runtime (ie. the treedir prefixed to the proper
path). For example:

/tmp/treedir.21776/instimage/usr/lib/anaconda-runtime/trimpcitable doesn't exist



Comment 2 Mogens Kjaer 2005-09-19 11:44:02 UTC
How do you start buildinstall?

I think if you don't specify the --comp option, you'll get an error like this.

I use:

buildinstall --comp gulerod --pkgorder /tmp/pkgorder.lst --version 4 --product
"Fedora Core" --release "Fedora Core 4" --prodpath Fedora $BUILD

"gulerod" is carrot, in Danish - any word will work...

Comment 3 Kenneth Porter 2005-09-19 13:18:39 UTC
I'm using this example, which lacks that option:

http://fedoranews.org/contributors/gene_czarcinski/update_distro/

Comment 4 Mogens Kjaer 2005-09-19 13:56:10 UTC
This is for FC3; does it work for you if you add "--comp anything" 
to buildinstall?

Comment 5 Jeremy Katz 2005-09-21 18:03:58 UTC
This should be fixed in current code.


Note You need to log in before you can comment on or make changes to this bug.